module namespace xe = "http://xhtml-example.com";

declare namespace rest="http://exquery.org/ns/rest/annotation/";
declare namespace output = "http://www.w3.org/2010/xslt-xquery-serialization";

declare
    %rest:GET
    %rest:path("/example-html")
    %output:method("xhtml")
function xe:form() {
    <html>
        <head>
            <title>XHTML Example</title>
        </head>
        <body>
            <h1>XHTML Example</h1>
            <p>A correctly formatted textarea is below!</p>
            <form method="post">
                <textarea name="info"></textarea>
                <input type="submit"/>
            </form>
        </body>
    </html>
};

declare
    %rest:POST
    %rest:path("/example-html")
    %rest:form-param("info", "{$text}")
    %output:method("xhtml")
function xe:result($text) {
    <html>
        <head>
            <title>XHTML Example Results</title>
        </head>
        <body>
            <h1>XHTML Example Results</h1>
            <p>Your form said</p>
            <p>{$text}</p>
        </body>
    </html>
};